// caracteres.cpp
#include <iostream>
#include <fstream>
using namespace std;

int main(int argc, char *argv[])
{
  fstream ifs;
  try
  {
    if (argc != 2) throw "Nro. incorrecto de argumentos";
    
    // Abrir el fichero argv[1] para leer y asociarle un búfer
    ifs.open(argv[1], ios::in);
    if (!ifs)
      throw "No se puede abrir el fichero";
    
    // Leer caracteres del fichero y mostrarlos por la pantalla
    char car;
    while(ifs.get(car)) cout << car;
    if (!ifs.eof()) throw "Error al leer el fichero";
  }
  catch(const char *s)
  {
    cout << s << endl;
  }
}

